The genomic position of the AUACCC, AGAUCU, GGGUAU, and ACACUC motifs on the U. maydis 521 genome sequences (PEDANT database name p3_t237631_Ust_maydi_v2GB) was identified using the Bioconductor package GenomicRanges in R (version 1.40.0; https://bioconductor.org/packages/release/bioc/html/GenomicRanges.html). Sequence information was extracted using Biostrings (R package; version 2.56.0; https://bioconductor.org/packages/release/bioc/html/Biostrings.html). To determine the genomic position of the de novo discovered motifs. The matchPWM function from the Biostrings R package was employed to perform the motif-matching process.
To calculate the distance between hyperTRIBE editing sites and the nearest motif, we first obtained the genomic coordinates of editing sites. We then proceeded to determine the distance of each editing site to the nearest motif using the nearest-methods function in the GenomicRanges R package.
To assess motif enrichment across transcript regions (Fig. 3F; Fig. S10A; Fig. S11A), we first determined the relative position of the motifs within the specific transcript regions, namely the 5´ UTR, ORF, and 3´ UTR. This was achieved by calculating the ratio between the distance from the motif start and the start codon to the length of the coding sequence (CDS). A ratio value ranging from 0 to 1 indicates a position within the ORF, a negative value suggests motif occurrence in the 5´ UTR, and a value greater than 1 suggests motif incidence in the 3´ UTR. For regions on the "-" strand, we multiplied the resulting position by -1, to appropriately represent the motif positions on the antisense strand, ensuring that the relative positions remained comparable between the two strands. Motif enrichment analysis was then carried out by computing the relative proportion of motifs within different transcript regions.
For relative motif position calculation in SI Appendix, Fig. S8D, we first selected a window of 1000 nt with a start or stop codon at the center. We then obtained the genomic coordinates of the AUACCC and AGAUCU motifs within the selected window. The relative position of the motif on target transcripts was calculated by measuring the distance between the motif start position and the start or stop codon.